<?php

/**
* @package SP Page Builder
* @author JoomShaper http://www.joomshaper.com
* @copyright Copyright (c) 2010 - 2018 JoomShaper
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
*/

defined ('_JEXEC') or die ('restricted aceess');

SpAddonsConfig::addonConfig(
	array(
		'type'=>'content',
		'addon_name'=>'hello_world',
		'title'=> 'Hello World',
		'icon'=>JURI::root() . 'plugins/sppagebuilder/sample/addons/hello_world/assets/images/icon.png',
		'category'=>'General',
		'attr'=>array(
			'general' => array(
				'admin_label'=>array(
					'type'=>'text',
					'title'=>'Admin Label',
					'desc'=>'Admin label description.',
					'std'=> '',
				),
				'addon_text'=>array(
					'type'=>'text',
					'title'=>'Text',
					'std'=>  'This is title'
				),
				'addon_icon'=>array(
					'type'=>'icon',
					'title'=>'Icon',
					'depends'=>array(array('title', '!=', '')),
				),
				'addon_link'=>array(
					'type'=>'media',
					'format'=>'attachment',
					'title'=>'Link',
					'placeholder'=>'http://',
					'std'=>'',
					'hide_preview'=>true,
				),
				'addon_font_family'=>array(
					'type'=>'fonts',
					'title'=>'Icon',
					'depends'=>array(array('title', '!=', '')),
					'selector'=> array(
						'type'=>'font',
						'font'=>'{{ VALUE }}',
						'css'=>'.sppb-addon-title { font-family: {{ VALUE }}; }'
					)
				),
				'addon_fontsize'=>array(
					'type'=>'slider',
					'title'=>'Font Size',
					'std'=>'',
					'max'=>400,
					'responsive'=>true
				),
				'addon_lineheight'=>array(
					'type'=>'slider',
					'title'=>'Line Height',
					'std'=>'',
					'max'=>400,
					'responsive'=>true
				),

				'addon_font_style'=>array(
					'type'=>'fontstyle',
					'title'=>'Font Style',
					'depends'=>array(array('title', '!=', '')),
				),
				'addon_margin'=>array(
					'type'=>'margin',
					'title'=>'Margin',
					'std' => '0px 0px 30px 0px',
					'responsive'=>true
				),
				'addon_padding'=>array(
					'type'=>'padding',
					'title'=>'Padding',
					'std' => '0px 0px 0px 0px',
					'responsive'=>true
				),
				'class'=>array(
					'type'=>'text',
					'title'=>'CSS CLass',
					'std'=> ''
				),

			),
		),
	)
);
